<u>Supported o3de versions</u> : **24.09.2**

# Newspaper Delivery Game

![gameplay](Media/gameplay.gif?raw=true)

The player takes the role of a newspaper delivery kid who, within a vast fictional 3D world, delivers newspapers to customer's homes within a set time limit. If all deliveries are made before the timer expires, the player will be allowed to progress on to the next level. Gameplay becomes exceedingly more difficult, by the numerous obstacles in the players path. Obstacles such as electric lawnmowers, cars and trucks.

## Prerequisites

You need to build or [install O3DE engine](https://o3de.org/download/).

You need to [install git with lfs support](https://git-scm.com/downloads), and [setup a token on your github account](https://www.docs.o3de.org/docs/welcome-guide/setup/setup-from-github/#configure-credentials-for-git-lfs). Needed as the repository uses Git LFS, the "Download ZIP" button will not download assets.

## How to run

1. Clone the github repository (`git clone https://github.com/o3de/NewspaperDeliveryGame.git`). When prompted to authenticate, use your github username and the token as password.
2. Launch O3DE. It will open the Project manager. Click on the **New Project** button then **Open Existing Project** option.
3. Navigate to the cloned repository. Open the folder. The project should now be registered.

![project](Media/project.png?raw=true)

4. Click on the **Open Editor** button.
5. The asset pre-processor will run for a bit. Once it is over you will be welcomed with the **Open a Level** window. Pick the **Neighborhood**.

## Controls

The Newspaper Kid can be moved around the level using the W,A,S,D keyboard keys.

![keyboard](Media/keyboard.png?raw=true)

Press the left **Mouse Button** toss the newspaper around the level.

![character](Media/character.png?raw=true)

## Project Highlights

https://user-images.githubusercontent.com/87207603/207639297-110dcaf4-dd8c-4a97-8d3c-92a34e6040c8.mp4

-   **Sprawling suburban environment**, includes homes, lawnmowers, vans and other 3D environment asset models
-   **Newspaper delivery kid**, a ready to use character model, with multiple character animations such as, walk run, strafe and toss.
-   **Script Canvas Visual Scripts,** editable Script Canvas visual scripts for main and in game menu interaction, gameplay and player movement.

### Screenshots

![gameplay](Media/gameplay.png?raw=true)

![gameplay](Media/gameplay-2.png?raw=true)

## License

For terms please see the LICENSE\*.TXT files at the root of this repository.
